> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Users.fully_synced webhook

> The `users.fully_synced` webhook is sent when all data has been fully retrieved from *all payroll accounts* a user connected through Link.

**Warning:**
When multiple accounts are connected:
- The webhook will only be sent if at least one account connection is successful.
- If a new account is connected (and its data fully retrieved) after the user's previously connected accounts were fully synced and the `users.fully_synced` webhook was sent, this webhook will be sent again.


Sent when data retrieval has completed for a user.


## OpenAPI

````yaml openAPI/users-webhooks.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Users Webhooks API
  version: 1.0.0
  description: Sent when data retrieval has completed for a user.
servers: []
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >
        The `users.fully_synced` webhook is sent when all data has been fully
        retrieved from *all payroll accounts* a user connected through Link.


        **Warning:**

        When multiple accounts are connected:

        - The webhook will only be sent if at least one account connection is
        successful.

        - If a new account is connected (and its data fully retrieved) after the
        user's previously connected accounts were fully synced and the
        `users.fully_synced` webhook was sent, this webhook will be sent again.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookSubscriptionRequest'
            example:
              events:
                - users.fully_synced
              name: name-for-the-webhook-subscription
              url: https://your-webhook-backend.com
              secret: optional-secret
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookMessage'
              example:
                event: users.fully_synced
                name: name-for-the-webhook-subscription
                data:
                  user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                  resource:
                    id: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                    accounts_connected:
                      - 0185a8b8-60eb-80ca-7482-5f24504573f7
                      - 0187c66e-e7e5-811c-b006-2232f00f426a
                    items_connected:
                      - item_000000001
                      - item_000000002
                    employers_connected:
                      - Whole Goods
                      - Bullseye
                    external_metadata: {}
                    external_id: July_Connection
                    created_at: '2023-04-27T07:02:01.279Z'
components:
  schemas:
    WebhookSubscriptionRequest:
      type: object
      properties:
        events:
          type: array
          description: '`users.fully_synced`'
          items:
            type: string
        name:
          type: string
          description: Your name for the webhook subscription.
        url:
          type: string
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
        secret:
          type: string
          nullable: true
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
      required:
        - events
        - name
        - url
    WebhookMessage:
      type: object
      properties:
        event:
          type: string
          description: '`users.fully_synced`'
        name:
          type: string
          description: Name used for the webhook subscription.
        data:
          type: object
          properties:
            user:
              type: string
              format: uuid
              description: ID of the user.
            resource:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  description: ID of the user.
                accounts_connected:
                  type: array
                  items:
                    type: string
                  description: >
                    Accounts connected by the user that have fully synced.


                    <Warning>

                    Each account's
                    [connection.status](/api-reference/accounts#object-connection-status)
                    will either be `connected` or `error`.

                    </Warning>
                items_connected:
                  type: array
                  items:
                    type: string
                  description: >-
                    The Items through which the user connected their payroll
                    accounts in Link.
                employers_connected:
                  type: array
                  items:
                    type: string
                  description: Names of the employers associated with the Items.
                external_metadata:
                  type: object
                  description: >-
                    Any
                    [`external_metadata`](/api-reference/users#object-external_metadata)
                    attached to the user.
                external_id:
                  type: string
                  nullable: true
                  description: >-
                    The [`external_id`](/api-reference/users#object-external_id)
                    attached to the user, otherwise `null`.
                created_at:
                  type: string
                  format: date-time
                  description: >-
                    Timestamp ([ISO
                    8601](https://en.wikipedia.org/wiki/ISO_8601)) when webhook
                    subscription was created.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````